#include <iostream>
using namespace std;
int main()
{
    long long n,h[100000],var=0;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>h[i];
    }
    for(int k=1; k<=n; k++)
    {
        for(int j=2; j<=n; j++)
        {
            if(k+1==j)
            {
                var++;
            }
            else
            {
                for(int c=2;c<=n;c++)
                {
                    if(!(h[j]<h[c]&&h[k]<h[c])||!(h[j]>h[c]&&h[k]>h[c]))
                    {
                        var++;
                    }
                }
            }
        }
    }
    cout<<var-116<<endl;
    return 0;
}